ToolzerHub Docs

Get job details (v1)

Returns one job posting's full detail from its dice.com link or the uuid a search result's job_id carries. data is null when the posting has expired.

1 credit / requestBilled only on success
GET
/v1/dice/job

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

job_id_or_url*string

The posting's dice.com link, or its uuid — the job_id a search result carries.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/dice/job?job_id_or_url=https%3A%2F%2Fwww.dice.com%2Fjob-detail%2Fbba4ebb5-9b44-4f34-b325-7cf129466ac7" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "job_id": "bba4ebb5-9b44-4f34-b325-7cf129466ac7",    "url": "string",    "title": "Senior Software Engineer - Mission Systems Integration",    "description_html": "string",    "date_posted": "string",    "valid_through": "string",    "employment_type": [      "FULL_TIME"    ],    "hiring_organization": {      "name": "Redhorse Corporation",      "url": "string",      "logo": "string"    },    "locations": [      {        "city": "string",        "region": "string",        "postal_code": "string",        "country": "string",        "street_address": "string"      }    ],    "location_type": "TELECOMMUTE",    "applicant_location": "USA",    "salary": {      "currency": "USD",      "min": 0,      "max": 0,      "period": "YEAR"    },    "identifier": "string"  },  "details": {    "reason": "no_results",    "message": "string"  }}